Results 1 to 2 of 2
  1.    #1  
    I have an old copy of 3.1 but it won't work on the 650 CPU... And I can't figure out where to go to register or buy the newer LITE edition that DOES support the 650 CPU.

    The author's site seems down and after 20min. of Googling I give up. Help!
    GEEKTOPIC - The Geek Forum. <--Free Hentai Image Forum!
  2. #2  

Posting Permissions